LoopBack is a highly extensible, open source Node.js framework that enables you to:

  * Create dynamic end-to-end REST APIs with little or no coding
  * Easily access data from Oracle, MySQL, PostgreSQL, MS SQL Server, MongoDB, SOAP and other REST APIs
  * Incorporate model relationships and access controls for complex APIs
  * Run your application on-premises or in the cloud  
  * Use built-in push, geolocation, and file services for mobile use cases
  * Easily create client apps using Android, iOS, and JavaScript SDKs

LoopBack consists of:
  * A library of Node.js modules.
  * A command line tool, `slc`, for creating and working with LoopBack applications.
  * Client SDKs for native and web-based mobile clients.

For more details, see http://loopback.io/.

## LoopBack modules 

In addition to the [main LoopBack module](https://github.com/strongloop/loopback), LoopBack consists of numerous other modules that implement specific functionality, 
as illustrated below:

![LoopBack modules](https://github.com/strongloop/loopback/raw/master/docs/assets/lb-modules.png "LoopBack modules")

* Frameworks
  * [loopback](https://github.com/strongloop/loopback)
  * [loopback-datasource-juggler](https://github.com/strongloop/loopback-datasource-juggler)
  * [strong-remoting](https://github.com/strongloop/strong-remoting)

* Enterprise Connectors
  * [loopback-connector-mongodb](https://github.com/strongloop/loopback-connector-mongodb)
  * [loopback-connector-mysql](https://github.com/strongloop/loopback-connector-mysql)
  * [loopback-connector-oracle](https://github.com/strongloop/loopback-connector-oracle)
  * [loopback-connector-mssql](https://github.com/strongloop/loopback-connector-mssql)
  * [loopback-connector-postgresql](https://github.com/strongloop/loopback-connector-postgresql)
  * [loopback-connector-rest](https://github.com/strongloop/loopback-connector-rest)
  * [loopback-connector-soap](https://github.com/strongloop/loopback-connector-soap) 

* Mobile services
  * [loopback-push-notification](https://github.com/strongloop/loopback-push-notification)
  * [loopback-storage-service](https://github.com/strongloop/loopback-storage-service)

* Clients
  * [loopback-ios](https://github.com/strongloop/loopback-ios)
  * [strong-remoting-ios](https://github.com/strongloop/strong-remoting-ios)
  * [loopback-android](https://github.com/strongloop/loopback-android)
  * [strong-remoting-android](https://github.com/strongloop/strong-remoting-android)
  * [loopback-angular](https://github.com/strongloop/loopback-angular)

* Tools
  * [loopback-explorer](https://github.com/strongloop/loopback-explorer)
  * [loopback-workspace](https://github.com/strongloop/loopback-workspace)
  * [strong-cli](https://github.com/strongloop/strong-cli)

* Examples
  * [loopback-example-full-stack](https://github.com/strongloop/loopback-example-full-stack)
  * [loopback-example-office-supplies](https://github.com/strongloop/loopback-example-office-supplies)
  * [loopback-example-todo](https://github.com/strongloop/loopback-example-todo)
  * [loopback-example-access-control](https://github.com/strongloop/loopback-example-access-control)
  * [loopback-example-proxy](https://github.com/strongloop/loopback-example-proxy)
  * [strongloop-community/loopback-example-datagraph](https://github.com/strongloop-community/loopback-example-datagraph)
  * [strongloop-community/loopback-example-database](https://github.com/strongloop-community/loopback-example-database)
  * [strongloop-community/loopback-examples-ios](https://github.com/strongloop-community/loopback-examples-ios)
  * [strongloop-community/loopback-example-ssl](https://github.com/strongloop-community/loopback-example-ssl)

## Resources 

  * [Documentation](http://docs.strongloop.com/display/DOC/LoopBack).
  * [API documentation](http://apidocs.strongloop.com/loopback).
  * [LoopBack Google Group](https://groups.google.com/forum/#!forum/loopbackjs).
  * [GitHub issues](https://github.com/strongloop/loopback/issues).
  * Read more about the [LoopBack's features](https://github.com/strongloop/loopback/wiki/Features).

## Contributing

Please read [CONTRIBUTING.md](CONTRIBUTING.md) on how to contribute.

A brief guide for [contributing to LoopBack projects](https://github.com/strongloop/loopback/wiki/How-To-Contribute).

[![Analytics](https://sl-beacon.appspot.com/UA-37775386-1/github/loopback/readme?pixel)](https://github.com/strongloop/loopback)
